"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

var _HttpResponseFormat = _interopRequireDefault(require("./HttpResponseFormat"));

var _HttpStreamFormat = _interopRequireDefault(require("./HttpStreamFormat"));

var _WsMessageFormat = _interopRequireDefault(require("./WsMessageFormat"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

/**
 * The PublishItemFormats model module.
 * @module model/PublishItemFormats
 * @version 3.0.0
 */
var PublishItemFormats = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>PublishItemFormats</code>.
   * Transport-specific message payload representations to be used for delivery. At least one format (&#x60;http-response&#x60;, &#x60;http-stream&#x60;, and/or &#x60;ws-message&#x60;) must be specified. Messages are only delivered to subscribers interested in the provided formats. For example, the &#x60;ws-message&#x60; format will only be sent to WebSocket clients.
   * @alias module:model/PublishItemFormats
   */
  function PublishItemFormats() {
    _classCallCheck(this, PublishItemFormats);

    PublishItemFormats.initialize(this);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(PublishItemFormats, null, [{
    key: "initialize",
    value: function initialize(obj) {}
    /**
     * Constructs a <code>PublishItemFormats</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/PublishItemFormats} obj Optional instance to populate.
     * @return {module:model/PublishItemFormats} The populated <code>PublishItemFormats</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new PublishItemFormats();

        if (data.hasOwnProperty('http-response')) {
          obj['http-response'] = _HttpResponseFormat["default"].constructFromObject(data['http-response']);
        }

        if (data.hasOwnProperty('http-stream')) {
          obj['http-stream'] = _HttpStreamFormat["default"].constructFromObject(data['http-stream']);
        }

        if (data.hasOwnProperty('ws-message')) {
          obj['ws-message'] = _WsMessageFormat["default"].constructFromObject(data['ws-message']);
        }
      }

      return obj;
    }
  }]);

  return PublishItemFormats;
}();
/**
 * @member {module:model/HttpResponseFormat} http-response
 */


PublishItemFormats.prototype['http-response'] = undefined;
/**
 * @member {module:model/HttpStreamFormat} http-stream
 */

PublishItemFormats.prototype['http-stream'] = undefined;
/**
 * @member {module:model/WsMessageFormat} ws-message
 */

PublishItemFormats.prototype['ws-message'] = undefined;
var _default = PublishItemFormats;
exports["default"] = _default;